# BadIPDetector

class BadIPDetector(services: List<BadIPDetectionService>)
Content copied to clipboard

## Parameters

services

A list of BadIPDetectionServices. The order matters!

Available services:

- net.axay.kspigot.ipaddress.badipdetectionservices.IPInfo (recommended, but requires login)

- net.axay.kspigot.ipaddress.badipdetectionservices.GetIPIntel

- net.axay.kspigot.ipaddress.badipdetectionservices.IPHub

- net.axay.kspigot.ipaddress.badipdetectionservices.VPNBlocker

## Constructors

BadIPDetector
Link copied to clipboard
fun BadIPDetector(vararg services: BadIPDetectionService)
Content copied to clipboard
Alternative constructor.
BadIPDetector
Link copied to clipboard
fun BadIPDetector(services: List<BadIPDetectionService>)
Content copied to clipboard
A list of BadIPDetectionServices.

## Types

Companion
Link copied to clipboard
object Companion
Content copied to clipboard

## Functions

checkIP
Link copied to clipboard
fun checkIP(ip: String, breakOnHit: Boolean = true): HashMap<BadIPDetectionService, BadIPDetectionResult>
Content copied to clipboard
equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard

## Properties

services
Link copied to clipboard
val services: List<BadIPDetectionService>
Content copied to clipboard
A list of BadIPDetectionServices.